summaryrefslogtreecommitdiffstats
path: root/26
diff options
context:
space:
mode:
authorGitHub Workflow <workflow@github.com>2023-06-22 16:06:52 +0000
committerGitHub Workflow <workflow@github.com>2023-06-22 16:06:52 +0000
commit040d8687a6eedf5490e3cea1aff189e73403a6ee (patch)
treecb65c8520a1843863f1c14b6ace08cb9bc14e159 /26
parentd3251467e6844c9742a57bacc72a682e98ae2cce (diff)
Runs update.sh
Diffstat (limited to '26')
-rw-r--r--26/apache/Dockerfile11
-rwxr-xr-x26/apache/entrypoint.sh42
-rw-r--r--26/fpm-alpine/Dockerfile11
-rwxr-xr-x26/fpm-alpine/entrypoint.sh42
-rw-r--r--26/fpm/Dockerfile11
-rwxr-xr-x26/fpm/entrypoint.sh42
6 files changed, 150 insertions, 9 deletions
diff --git a/26/apache/Dockerfile b/26/apache/Dockerfile
index f68f2834..0ab69483 100644
--- a/26/apache/Dockerfile
+++ b/26/apache/Dockerfile
@@ -112,6 +112,11 @@ RUN { \
} > "${PHP_INI_DIR}/conf.d/nextcloud.ini"; \
\
mkdir /var/www/data; \
+ mkdir -p /docker-entrypoint-hooks.d/pre-installation \
+ /docker-entrypoint-hooks.d/post-installation \
+ /docker-entrypoint-hooks.d/pre-upgrade \
+ /docker-entrypoint-hooks.d/post-upgrade \
+ /docker-entrypoint-hooks.d/before-starting; \
chown -R www-data:root /var/www; \
chmod -R g=u /var/www
@@ -126,7 +131,7 @@ RUN a2enmod headers rewrite remoteip ;\
} > /etc/apache2/conf-available/remoteip.conf;\
a2enconf remoteip
-ENV NEXTCLOUD_VERSION 26.0.2
+ENV NEXTCLOUD_VERSION 26.0.3
RUN set -ex; \
fetchDeps=" \
@@ -136,8 +141,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-26.0.2.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-26.0.2.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-26.0.3.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-26.0.3.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/26/apache/entrypoint.sh b/26/apache/entrypoint.sh
index 37441fd8..941dc3ee 100755
--- a/26/apache/entrypoint.sh
+++ b/26/apache/entrypoint.sh
@@ -19,6 +19,39 @@ run_as() {
fi
}
+# Execute all executable files in a given directory in alphanumeric order
+run_path() {
+ local hook_folder_path="/docker-entrypoint-hooks.d/$1"
+ local return_code=0
+
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
+ if [ -z "$(ls -A "${hook_folder_path}")" ]; then
+ echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ return 0
+ fi
+
+ (
+ for script_file_path in "${hook_folder_path}/"*.sh; do
+ if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ continue
+ fi
+
+ echo "==> Running the script (cwd: $(pwd)): \"${script_file_path}\""
+
+ run_as "${script_file_path}" || return_code="$?"
+
+ if [ "${return_code}" -ne "0" ]; then
+ echo "==> Failed at executing \"${script_file_path}\". Exit code: ${return_code}"
+ exit 1
+ fi
+
+ echo "==> Finished the script: \"${script_file_path}\""
+ done
+ )
+}
+
# usage: file_env VAR [DEFAULT]
# ie: file_env 'XYZ_DB_PASSWORD' 'example'
# (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of
@@ -182,6 +215,8 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
if [ "$install" = true ]; then
+ run_path pre-installation
+
echo "Starting nextcloud installation"
max_retries=10
try=0
@@ -204,12 +239,16 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
NC_TRUSTED_DOMAIN_IDX=$((NC_TRUSTED_DOMAIN_IDX+1))
done
fi
+
+ run_path post-installation
else
echo "Please run the web-based installer on first connect!"
fi
fi
# Upgrade
else
+ run_path pre-upgrade
+
run_as 'php /var/www/html/occ upgrade'
run_as 'php /var/www/html/occ app:list' | sed -n "/Enabled:/,/Disabled:/p" > /tmp/list_after
@@ -217,6 +256,7 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
diff /tmp/list_before /tmp/list_after | grep '<' | cut -d- -f2 | cut -d: -f1
rm -f /tmp/list_before /tmp/list_after
+ run_path post-upgrade
fi
echo "Initializing finished"
@@ -227,6 +267,8 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
run_as 'php /var/www/html/occ maintenance:update:htaccess'
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+
+ run_path before-starting
fi
exec "$@"
diff --git a/26/fpm-alpine/Dockerfile b/26/fpm-alpine/Dockerfile
index 0ea82474..1a58b2b3 100644
--- a/26/fpm-alpine/Dockerfile
+++ b/26/fpm-alpine/Dockerfile
@@ -100,13 +100,18 @@ RUN { \
} > "${PHP_INI_DIR}/conf.d/nextcloud.ini"; \
\
mkdir /var/www/data; \
+ mkdir -p /docker-entrypoint-hooks.d/pre-installation \
+ /docker-entrypoint-hooks.d/post-installation \
+ /docker-entrypoint-hooks.d/pre-upgrade \
+ /docker-entrypoint-hooks.d/post-upgrade \
+ /docker-entrypoint-hooks.d/before-starting; \
chown -R www-data:root /var/www; \
chmod -R g=u /var/www
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 26.0.2
+ENV NEXTCLOUD_VERSION 26.0.3
RUN set -ex; \
apk add --no-cache --virtual .fetch-deps \
@@ -114,8 +119,8 @@ RUN set -ex; \
gnupg \
; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-26.0.2.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-26.0.2.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-26.0.3.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-26.0.3.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/26/fpm-alpine/entrypoint.sh b/26/fpm-alpine/entrypoint.sh
index 37441fd8..941dc3ee 100755
--- a/26/fpm-alpine/entrypoint.sh
+++ b/26/fpm-alpine/entrypoint.sh
@@ -19,6 +19,39 @@ run_as() {
fi
}
+# Execute all executable files in a given directory in alphanumeric order
+run_path() {
+ local hook_folder_path="/docker-entrypoint-hooks.d/$1"
+ local return_code=0
+
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
+ if [ -z "$(ls -A "${hook_folder_path}")" ]; then
+ echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ return 0
+ fi
+
+ (
+ for script_file_path in "${hook_folder_path}/"*.sh; do
+ if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ continue
+ fi
+
+ echo "==> Running the script (cwd: $(pwd)): \"${script_file_path}\""
+
+ run_as "${script_file_path}" || return_code="$?"
+
+ if [ "${return_code}" -ne "0" ]; then
+ echo "==> Failed at executing \"${script_file_path}\". Exit code: ${return_code}"
+ exit 1
+ fi
+
+ echo "==> Finished the script: \"${script_file_path}\""
+ done
+ )
+}
+
# usage: file_env VAR [DEFAULT]
# ie: file_env 'XYZ_DB_PASSWORD' 'example'
# (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of
@@ -182,6 +215,8 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
if [ "$install" = true ]; then
+ run_path pre-installation
+
echo "Starting nextcloud installation"
max_retries=10
try=0
@@ -204,12 +239,16 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
NC_TRUSTED_DOMAIN_IDX=$((NC_TRUSTED_DOMAIN_IDX+1))
done
fi
+
+ run_path post-installation
else
echo "Please run the web-based installer on first connect!"
fi
fi
# Upgrade
else
+ run_path pre-upgrade
+
run_as 'php /var/www/html/occ upgrade'
run_as 'php /var/www/html/occ app:list' | sed -n "/Enabled:/,/Disabled:/p" > /tmp/list_after
@@ -217,6 +256,7 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
diff /tmp/list_before /tmp/list_after | grep '<' | cut -d- -f2 | cut -d: -f1
rm -f /tmp/list_before /tmp/list_after
+ run_path post-upgrade
fi
echo "Initializing finished"
@@ -227,6 +267,8 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
run_as 'php /var/www/html/occ maintenance:update:htaccess'
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+
+ run_path before-starting
fi
exec "$@"
diff --git a/26/fpm/Dockerfile b/26/fpm/Dockerfile
index ff51826e..3a60ed71 100644
--- a/26/fpm/Dockerfile
+++ b/26/fpm/Dockerfile
@@ -112,13 +112,18 @@ RUN { \
} > "${PHP_INI_DIR}/conf.d/nextcloud.ini"; \
\
mkdir /var/www/data; \
+ mkdir -p /docker-entrypoint-hooks.d/pre-installation \
+ /docker-entrypoint-hooks.d/post-installation \
+ /docker-entrypoint-hooks.d/pre-upgrade \
+ /docker-entrypoint-hooks.d/post-upgrade \
+ /docker-entrypoint-hooks.d/before-starting; \
chown -R www-data:root /var/www; \
chmod -R g=u /var/www
VOLUME /var/www/html
-ENV NEXTCLOUD_VERSION 26.0.2
+ENV NEXTCLOUD_VERSION 26.0.3
RUN set -ex; \
fetchDeps=" \
@@ -128,8 +133,8 @@ RUN set -ex; \
apt-get update; \
apt-get install -y --no-install-recommends $fetchDeps; \
\
- curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-26.0.2.tar.bz2"; \
- curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-26.0.2.tar.bz2.asc"; \
+ curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/releases/nextcloud-26.0.3.tar.bz2"; \
+ curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/releases/nextcloud-26.0.3.tar.bz2.asc"; \
export GNUPGHOME="$(mktemp -d)"; \
# gpg key from https://nextcloud.com/nextcloud.asc
gpg --batch --keyserver keyserver.ubuntu.com --recv-keys 28806A878AE423A28372792ED75899B9A724937A; \
diff --git a/26/fpm/entrypoint.sh b/26/fpm/entrypoint.sh
index 37441fd8..941dc3ee 100755
--- a/26/fpm/entrypoint.sh
+++ b/26/fpm/entrypoint.sh
@@ -19,6 +19,39 @@ run_as() {
fi
}
+# Execute all executable files in a given directory in alphanumeric order
+run_path() {
+ local hook_folder_path="/docker-entrypoint-hooks.d/$1"
+ local return_code=0
+
+ echo "=> Searching for scripts (*.sh) to run, located in the folder: ${hook_folder_path}"
+
+ if [ -z "$(ls -A "${hook_folder_path}")" ]; then
+ echo "==> but the hook folder \"$(basename "${hook_folder_path}")\" is empty, so nothing to do"
+ return 0
+ fi
+
+ (
+ for script_file_path in "${hook_folder_path}/"*.sh; do
+ if ! [ -x "${script_file_path}" ] && [ -f "${script_file_path}" ]; then
+ echo "==> The script \"${script_file_path}\" in the folder \"${hook_folder_path}\" was skipping, because it didn't have the executable flag"
+ continue
+ fi
+
+ echo "==> Running the script (cwd: $(pwd)): \"${script_file_path}\""
+
+ run_as "${script_file_path}" || return_code="$?"
+
+ if [ "${return_code}" -ne "0" ]; then
+ echo "==> Failed at executing \"${script_file_path}\". Exit code: ${return_code}"
+ exit 1
+ fi
+
+ echo "==> Finished the script: \"${script_file_path}\""
+ done
+ )
+}
+
# usage: file_env VAR [DEFAULT]
# ie: file_env 'XYZ_DB_PASSWORD' 'example'
# (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of
@@ -182,6 +215,8 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
fi
if [ "$install" = true ]; then
+ run_path pre-installation
+
echo "Starting nextcloud installation"
max_retries=10
try=0
@@ -204,12 +239,16 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
NC_TRUSTED_DOMAIN_IDX=$((NC_TRUSTED_DOMAIN_IDX+1))
done
fi
+
+ run_path post-installation
else
echo "Please run the web-based installer on first connect!"
fi
fi
# Upgrade
else
+ run_path pre-upgrade
+
run_as 'php /var/www/html/occ upgrade'
run_as 'php /var/www/html/occ app:list' | sed -n "/Enabled:/,/Disabled:/p" > /tmp/list_after
@@ -217,6 +256,7 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
diff /tmp/list_before /tmp/list_after | grep '<' | cut -d- -f2 | cut -d: -f1
rm -f /tmp/list_before /tmp/list_after
+ run_path post-upgrade
fi
echo "Initializing finished"
@@ -227,6 +267,8 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
run_as 'php /var/www/html/occ maintenance:update:htaccess'
fi
) 9> /var/www/html/nextcloud-init-sync.lock
+
+ run_path before-starting
fi
exec "$@"